Queue V4
Get queue by ID
Retrieve a specific queue with all its relations
GET
/
v4
/
queue
/
{queueId}
Get queue by ID
curl --request GET \
--url https://api.example.com/v4/queue/{queueId} \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.example.com/v4/queue/{queueId}"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.example.com/v4/queue/{queueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"meetingTypeId": "<string>",
"companyId": "<string>",
"userCapacities": [
{
"userId": "<string>",
"capacity": 123
}
],
"userCustomLinks": [
{
"userId": "<string>",
"link": "<string>"
}
],
"roundRobinEntries": [
{
"id": 123,
"createdAt": "<string>",
"userId": "<string>",
"groupId": "<string>",
"appointmentId": "<string>",
"queueId": "<string>",
"selectionReason": "<string>"
}
],
"userGroups": [
{
"id": "<string>",
"users": [
{
"id": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"slug": "<string>",
"userType": "<string>",
"picture": "<string>"
}
],
"userIds": [
"<string>"
]
}
],
"userGroupIds": [
"<string>"
],
"users": [
{
"id": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"slug": "<string>",
"userType": "<string>",
"picture": "<string>"
}
],
"userIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"workspaceId": "<string>"
}Authorizations
ApiUserHeaderJWTApiKey
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Path Parameters
ID of the queue
Response
200 - application/json
Queue retrieved successfully
Available options:
simpleRoundRobin, advancedRoundRobin, equalDistribution Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get queue by ID
